curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/evaluate-golden' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"config": {},
"provider": "string",
"model": "string",
"pass_threshold": 1.5,
"limit": 20,
"simulate_tools": true
}'
{
"gated": true,
"passed": true,
"threshold": 1.5,
"case_count": 1,
"summary": {
"total": 102,
"passed": 1,
"pass_rate": 7.5,
"avg_score": 7.5,
"by_dimension": {},
"flags": {},
"regressions": [
{
"case_id": null,
"baseline_score": null,
"candidate_score": null,
"delta": null
}
],
"action_fidelity": {}
},
"cases": [
{
"case_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"draft": "string",
"tool_calls": [],
"action_fidelity": "string",
"verdict": {
"score": null,
"passed": null,
"dimensions": null,
"rationale": null,
"flags": null
}
}
],
"reason": "Two-person tent, green — replacement for damaged pole set."
}
Config evaluate golden
Candidate config scored against the standing golden set.
POST
/
v1
/
brands
/
{brand_id}
/
config
/
evaluate-golden
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/evaluate-golden' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"config": {},
"provider": "string",
"model": "string",
"pass_threshold": 1.5,
"limit": 20,
"simulate_tools": true
}'
{
"gated": true,
"passed": true,
"threshold": 1.5,
"case_count": 1,
"summary": {
"total": 102,
"passed": 1,
"pass_rate": 7.5,
"avg_score": 7.5,
"by_dimension": {},
"flags": {},
"regressions": [
{
"case_id": null,
"baseline_score": null,
"candidate_score": null,
"delta": null
}
],
"action_fidelity": {}
},
"cases": [
{
"case_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"draft": "string",
"tool_calls": [],
"action_fidelity": "string",
"verdict": {
"score": null,
"passed": null,
"dimensions": null,
"rationale": null,
"flags": null
}
}
],
"reason": "Two-person tent, green — replacement for damaged pole set."
}
Path parameters
string (uuid)
required
Request body
object
object
string
string
number
integer
boolean
Response
object
boolean
required
boolean
required
number
required
integer
required
object
object[]
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Candidate config scored against the standing golden set. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/evaluate-golden' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"config": {},
"provider": "string",
"model": "string",
"pass_threshold": 1.5,
"limit": 20,
"simulate_tools": true
}'
{
"gated": true,
"passed": true,
"threshold": 1.5,
"case_count": 1,
"summary": {
"total": 102,
"passed": 1,
"pass_rate": 7.5,
"avg_score": 7.5,
"by_dimension": {},
"flags": {},
"regressions": [
{
"case_id": null,
"baseline_score": null,
"candidate_score": null,
"delta": null
}
],
"action_fidelity": {}
},
"cases": [
{
"case_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"draft": "string",
"tool_calls": [],
"action_fidelity": "string",
"verdict": {
"score": null,
"passed": null,
"dimensions": null,
"rationale": null,
"flags": null
}
}
],
"reason": "Two-person tent, green — replacement for damaged pole set."
}
Last modified on August 31, 2026